Printago API
POST /v1/materials

Create material

Create a new material type

Requires: material.create

Request Body

Material type data

MaterialInsert
brandrequired
string
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptionalnullable
string
filamentSystemProfileIdrequirednullable
number
filamentUserProfileIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
identifieroptionalnullable
string
namerequired
string
pricePer1000goptionalnullable
integer
Price per kg, in cents.
sourceoptionalnullable
string
starredoptional
boolean
tagsrequired
string[]
typerequired
string

Example Request

application/json
{
  "name": "string",
  "type": "string",
  "brand": "string",
  "externalId": "string",
  "source": "string",
  "customMetadata": {},
  "tags": [
    "string"
  ],
  "filamentUserProfileId": "string",
  "filamentSystemProfileId": 1,
  "identifier": "string",
  "starred": true,
  "pricePer1000g": 1
}

Response Schema

Material
brandrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptionalnullable
string
filamentSystemProfileIdrequirednullable
number
filamentUserProfileIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
idrequired
string
pattern: ^[a-z0-9]{24}$
identifieroptionalnullable
string
namerequired
string
pricePer1000goptionalnullable
integer
Price per kg, in cents.
sourceoptionalnullable
string
starredoptional
boolean
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
tagsrequired
string[]
typerequired
string
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "name": "string",
  "brand": "string",
  "type": "string",
  "identifier": "string",
  "tags": [
    "string"
  ],
  "filamentUserProfileId": "string",
  "filamentSystemProfileId": 1,
  "starred": true,
  "pricePer1000g": 1,
  "source": "string",
  "externalId": "string",
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}